package com.pack.modeler.structures;

import com.pack.modeler.miners.MinerDef;
import com.pack.modeler.miners.MySplitMiner;

public enum BPMNMiner {
    SPLITMINER("SPLITMINER");

    private final String algorithm;

    BPMNMiner(String text) {
        algorithm = text;
    }

    public MinerDef getMiner() {
        switch(algorithm){
            default: return new MySplitMiner();
        }
    }

    public String getAlgorithm() {
        return algorithm;
    }
}
